summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2023-03-23 14:24:22 +0100
committerRaymaekers Luca <raymaekers.luca@gmail.com>2023-03-23 14:24:22 +0100
commitfb5a6e5c88e33bcc03e712f1acdfcd8550eaaa18 (patch)
treed09d8495d87125179cd85751663ec570495a88aa /bin
parent1e73f93fa00c95f1f4eb7eb6870ddbb244c5c295 (diff)
changed to text-davinci-003
Diffstat (limited to 'bin')
-rwxr-xr-xbin/common/ask5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/common/ask b/bin/common/ask
index a06e3c7..9fb04ce 100755
--- a/bin/common/ask
+++ b/bin/common/ask
@@ -8,11 +8,12 @@ which pass jq > /dev/null ||
test -z "${inp:=$@}" &&
inp="$(cat /dev/stdin)"
-# \n\t -> ' ' && " -> '
+# \n\t -> ' ' && "->'
prompt="$(echo "$inp" | tr "\n\t\"" " '")"
+test -z "$prompt" && exit 1
API_KEY="$(pass tokens/openai-api)"
-model="text-curie-001"
+model="text-davinci-003"
tokens="1024"
temperature=0